.page-wrap {
    margin: 12px -8px 0;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.page-sidebar {
    position: relative;
    width: 100%;
    -ms-flex: 0 0 21.218%;
    flex: 0 0 21.218%;
    max-width: 21.218%;
    padding: 0 8px;
}

.page-sidebar-item {
    margin: 16px 0 0;
}

.page-sidebar-item:nth-of-type(1) {
    margin: 0;
}

.page-container {
    position: relative;
    width: 100%;
    -ms-flex: 0 0 78.782%;
    flex: 0 0 78.782%;
    max-width: 78.782%;
    padding: 0 8px;
}

.page-header {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin: 16px 0 0;
    border-top: 1px solid #E8E8E8;
    border-bottom: 1px solid #E8E8E8;
    align-items: center;
}

.page-text {
    position: relative;
    width: 100%;
    -ms-flex: 0 0 75%;
    flex: 0 0 75%;
    max-width: 75%;
    font-size: 16px;
    line-height: 19px;
}

.page-text .title {
    margin: 0;
    font-size: 16px;
    line-height: 19px;
    color: #333;
    font-weight: 700;
    display: inline;
}

.sort-wrap {
    position: relative;
    width: 100%;
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%;
    padding: 5px 30px;
}

.sort-wrap::before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 0;
    border-left: 1px solid #E8E8E8;
}

.sort-wrap::after {
    content: '';
    width: 0;
    height: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 6px solid #333;
    display: block;
    position: absolute;
    top: 50%;
    right: 30px;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

.sort-wrap select {
    height: 40px;
    border: 0;
    padding: 10px 0;
    background: transparent none;
    -webkit-appearance: none;
    -moz-appearance: none;
    text-indent: 1px;
    text-overflow: '';
    font-size: 14px;
    line-height: 1.5;
    font-weight: 400;
    display: block;
    width: 100%;
}

.product-wrap {
    margin: 0 -8px;
    padding: 0;
    list-style: none;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.product-item {
    position: relative;
    width: 100%;
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%;
    padding: 0 8px;
    margin: 16px 0 0;
    height: 346px;
}

.product-item a {
    display: block;
    border: 1px solid #BDBDBD;
    background: #FFF none;
    padding: 16px 16px 0;
    position: relative;
    height: 346px;
    overflow: hidden;
}

.product-item:hover a {
    z-index: 99;
    height: auto;
    border: 1px solid #FF4200;
    -webkit-box-shadow: 4px 4px 4px rgba(0, 0, 0, .15);
    box-shadow: 4px 4px 4px rgba(0, 0, 0, .15);
    overflow: visible;
}

.product-img {
    height: 160px;
    padding: 5px;
    line-height: 0;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
}

.product-img img {
    max-height: 100%;
}

.offer-icon {
    background: #4CAF50 none;
    width: 70px;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 0 12px 12px 0;
    font-size: 14px;
    line-height: 16px;
    padding: 4px 0 5px;
    color: #FFF;
    text-align: center;
    z-index: 1;
}

.product-action {
    background: #FF6535 none;
    font-size: 14px;
    line-height: 16px;
    color: #fff;
    display: block;
    margin: 0 30px;
    padding: 8px 0;
    text-align: center;
    border-radius: 3px;
    opacity: 0;
    font-weight: 400;
}

.product-item:hover .product-action {
    opacity: 1;
}

.product-item h3 {
    font-size: 13px;
    line-height: 15px;
    color: #666;
    margin: 8px 0 0;
    font-weight: 400;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    min-height: 30px;
}

.product-meta {
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    margin: 10px 0 0;
}

.product-price {
    font-size: 15px;
    line-height: 18px;
    display: block;
    color: #DE1F1F;
}

.product-percent {
    display: block;
    font-size: 14px;
    line-height: 16px;
    color: #333;
    margin: 0 0 0 8px;
}

.product-shipping {
    padding: 0 0 0 20px;
    font-size: 13px;
    line-height: 15px;
    display: block;
    position: relative;
    margin: 3px 0 0;
}

.product-shipping i {
    position: absolute;
    top: 1px;
    left: 0;
}

.product-bottom {
    margin: 6px -16px 0;
    border-top: 1px solid #BDBDBD;
    padding: 8px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    align-items: center;
}

.product-store {
    -ms-flex: 0 0 55%;
    flex: 0 0 55%;
    max-width: 55%;
    padding: 0 6px;
    font-size: 13px;
    line-height: 15px;
    color: #333;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    min-height: 30px;
}

.product-store.row-full {
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
}

.product-store-logo {
    -ms-flex: 0 0 45%;
    flex: 0 0 45%;
    max-width: 45%;
    padding: 0 6px;
    display: block;
    line-height: 0;
}

.product-store-logo img {
    max-height: 30px;
}

.store-list {
    margin: 0 -16px;
    padding: 8px 16px 10px;
    display: block;
    border-top: 1px solid #BDBDBD;
}

.store-item {
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    -webkit-justify-content: space-between;
    justify-content: space-between;
    margin: 8px 0 0;
}

.store-item:nth-child(1) {
    margin-top: 0;
}

.store-logo {
    max-width: 80px;
    -webkit-box-flex: 0;
    -ms-flex: 0 0 80px;
    flex: 0 0 80px;
    display: block;
}

.store-price {
    font-size: 14px;
    line-height: 16px;
    font-weight: 700;
    color: #333;
    display: block;
}

.store-item-text {
    font-size: 14px;
    line-height: 16px;
    color: #333;
    margin: 10px 0 0;
    display: block;
}

.bad-merchant-text {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(238, 238, 238, .9) none;
    font-weight: 500;
    font-size: 13px;
    line-height: 15px;
    color: #DE1F1F;
    text-align: center;
    padding: 16px;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    opacity: 0;
}

.product-item:hover .bad-merchant .product-action {
    opacity: 0;
}

.product-item:hover .bad-merchant .bad-merchant-text {
    opacity: 1;
}

.product-item a.product-price-waring {
    overflow: visible;
}

.price-waring {
    position: relative;
    margin: 0 5px 0 0;
    display: block;
    line-height: 0;
}

.price-waring::before {
    content: '';
    width: 16px;
    height: 15px;
    display: block;
    background: transparent url('../images/waring.svg') no-repeat center;
    position: relative;
}

.price-waring-text {
    position: absolute;
    padding: 12px;
    background: #333 none;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, .15), -4px 0 4px rgba(0, 0, 0, .15);
    font-size: 13px;
    line-height: 15px;
    color: #FFF;
    min-width: 260px;
    right: -160px;
    bottom: 32px;
    display: none;
}

.price-waring-text::after {
    content: '';
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 12px solid #333;
    position: absolute;
    bottom: -11px;
    right: 159px;
}

.price-waring:hover .price-waring-text {
    display: block;
}

.gift-icon {
    position: absolute;
    top: 0;
    right: 0;
}

.gift-icon-label {
    background: #FFD4C5 none;
    border: 1px solid #FF4200;
    -webkit-border-radius: 8px 0 0 8px;
    -moz-border-radius: 8px 0 0 8px;
    border-radius: 8px 0 0 8px;
    padding: 4px 8px;
    font-size: 14px;
    line-height: 16px;
    font-weight: 400;
    display: -ms-flexbox;
    display: flex;
    max-width: 95px;
    color: #FF4200;
    height: 26px;
}

.gift-icon-label::before {
    content: '';
    width: 14px;
    height: 16px;
    display: block;
    background: #FF4200 none;
    margin: 0 5px 0 0;
    -webkit-mask: url('../images/gift.svg') no-repeat center/14px 16px;
    mask: url('../images/gift.svg') no-repeat center/14px 16px;
}

.gift-icon:hover .gift-icon-label {
    background: #FF4200 none;
    color: #FFF;
}

.gift-icon:hover .gift-icon-label::before {
    background: #FFF none;
}

.gift-icon-list {
    position: absolute;
    top: 43px;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    background: rgba(51, 51, 51, .8) none;
    width: 260px;
    padding: 12px;
    color: #FFF;
    font-size: 13px;
    line-height: 15px;
    display: none;
}

.gift-icon-list::before {
    content: '';
    width: 0;
    height: 0;
    position: absolute;
    top: -12px;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-bottom: 12px solid rgba(51, 51, 51, .8);
    line-height: 0;
    display: block;
}

.gift-icon-item {
    display: block;
    margin: 4px 0 0;
    padding: 0 0 0 10px;
    position: relative;
}

.gift-icon-item::before {
    content: '';
    width: 6px;
    height: 6px;
    background: #FFF none;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    position: absolute;
    top: 4px;
    left: 0;
    display: block;
}

.gift-icon-item:first-child {
    margin: 0;
    padding: 0;
}

.gift-icon-item:first-child::before {
    display: none;
}

.gift-icon:hover .gift-icon-list {
    display: block;
}

.page-container .pagination {
    max-width: none;
}

.page-container .ads-wrap:last-of-type {
    margin: 16px 0 0;
}